# [To be offline] Get Domain Request Count - GetUcdnDomainRequestNumV2

## Overview

Get Domain Request Count

 > 💡 This interface is about to be deprecated, to get the domain request number, please use the latest interface GetUcdnDomainRequestNumV3




## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUcdnDomainRequestNumV2`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Type** | int | Time granularity (0 represents a 5-minute granularity, 1 represents a 1-hour granularity, 2 represents a daily granularity, 3= per minute) |**Yes**|
| **BeginTime** | int | The start time of the query, in Unix Timestamp format. |**Yes**|
| **EndTime** | int | The end time of the query, in Unix Timestamp format. |**Yes**|
| **DomainId.N** | string | Domain ID, the ID generated when creating a domain. Default to all domains. |No|
| **Areacode** | string | The query area 'cn' represents domestic, 'abroad' represents overseas, only supports domestic. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **RequestList** | array[[*RequestInfo*](#requestinfo)] | Request number instance table. |No|

#### Data Model


#### RequestInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Time** | int | Time point for bandwidth acquisition. Format: Timestamp |No|
| **CdnRequest** | float | Returns the sum of the requests received by the CDN within the specified time interval. |No|
| **OriginRequest** | float | Returns the sum of CDN back-to-source requests within the specified time range. |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=GetUcdnDomainRequestNumV2
&ProjectId=TGTBMbzo
&Type=1
&DomainId.n=mTbgqcTn
&Areacode=nAPpQFkD
&BeginTime=2
&EndTime=9
```

### Response Example
    
```json
{
  "Action": "GetUcdnDomainRequestNumV2Response",
  "RequestList": [
    {
      "CdnRequest": 6,
      "OriginRequest": 7,
      "Time": 4
    }
  ],
  "RetCode": 0
}
```





